%define	module	Crypt-CBC
%define name	perl-%{module}
%define version	2.15
%define release	%mkrel 1

Summary:	Crypt::CBC - Encrypt Data with Cipher Block Chaining Mode
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Crypt/%{module}-%{version}.tar.bz2
Requires:	perl
BuildRequires:	perl-devel
BuildRequires:	perl-Crypt-Rijndael
BuildRequires:	perl-Crypt-Blowfish
BuildRequires:	perl-Crypt-Blowfish_PP
BuildRequires:	perl-Crypt-CAST5
BuildRequires:	perl-Crypt-DES
BuildRequires:	perl-Crypt-IDEA
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module is a Perl-only implementation of the cryptographic cipher
block chaining mode (CBC).  In combination with a block cipher such as
DES or IDEA, you can encrypt and decrypt messages of arbitrarily long
length.  The encrypted messages are compatible with the encryption
format used by SSLeay, and can be made compatible with the newer
OpenSSL package by specifying the -salt argument.

To use this module, you will first create a Crypt::CBC cipher object with
new().  At the time of cipher creation, you specify an encryption key
to use and, optionally, a block encryption algorithm.  You will then
call the start() method to initialize the encryption or decryption
process, crypt() to encrypt or decrypt one or more blocks of data, and
lastly finish(), to pad and encrypt the final block.  For your
convenience, you can call the encrypt() and decrypt() methods to
operate on a whole data value at once.

%prep
%setup -q -n %{module}-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
%{makeinstall_std}

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README eg
%{perl_vendorlib}/Crypt/*.pm
%{_mandir}/man3*/*

%changelog
* Wed Aug 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.15-1mdk
- New release 2.15

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.14-2mdk
- fix deps, summary and description

* Fri May 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.14-1mdk
- 2.14
- Make rpmbuildable

* Sat Jun 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.12-1mdk
- 2.12

* Fri Jun 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.11-1mdk
- rebuild for new perl
- don't use PREFIX
- use %%makeinstall_std macro
- cosmetics

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.08-4mdk
- rebuild for new auto{prov,req}

* Mon Mar 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.08-3mdk
- upload again

* Sat Mar 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.08-2mdk
- rebuild

* Tue Feb 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.08-1mdk
- initial cooker contrib.
